Get Object Definition
1 min
GET
https://api.nue.io/metadata/objects/{objectName}
Path Parameters
- objectNamestringrequiredExampleDescription
Query Parameters
- withIntegrationMappingbooleanExampleDescriptionDefaultfalse
Responses
200
- DescribeRubyObjectResponse
- apiNamestringExample
- namestringExample
- descriptionstringExample
- salesforceApiNamestringExample
- endpointstringExample
- customizablebooleanExample
- featurestringExample
- objectTypestringExample
- pluralNamestringExample
- nameFieldstring
- fieldsFieldMetadata[]
- apiNamestringExample
- namestringExample
- typestringExampleDescription
- descriptionstringExample
- creatablebooleanExample
- updatablebooleanExample
- filterablebooleanExample
- sortablebooleanExample
- customFieldbooleanExampleDescription
- encryptedboolean
- defaultValuestring
- inlineHelpTextstring
- requiredboolean
- uniqueboolean
- exportIdboolean
- minLengthinteger<int32>Formatint32
- maxLengthinteger<int32>Formatint32
- valueSetValueSet
- apiNamestring
- namestring
- defaultValuestring
- alphabeticallyOrderedboolean
- valuePairsValuePair[]
- apiNamestringExampleDescription
- namestringExampleDescription
- orderNumberinteger<int32>ExampleDescriptionFormatint32
- activebooleanExampleDescription
- precisioninteger<int32>Formatint32
- scaleinteger<int32>Formatint32
- salesforceApiNamestring
- lookupRelationLookupRelation
- referenceTostring
- referenceFieldstring
- relationNamestring
- relationLabelstring
- masterDetailRelationMasterDetailRelation
- referenceTostring
- referenceFieldstring
- relationNamestring
- relationLabelstring
- detailRelationNamestring
- detailRelationLabelstring
- autoNumberSettingAutoNumberSettingExample
{ "displayFormat": "CUSTOM-INV-{00000000}", "startValue": 1 }Description- displayFormatstringExampleDescription
- startValueinteger<int64>ExampleDescriptionFormatint64Minimum1Maximum999999999999
- relationsRelationMetadata[]
- referenceObjectNamestring
- referenceFieldNamestring
- relationFieldNamestring
- relationNamestring
- relationLabelstring
- relationTypestring
- detailAccessPolicyDetailAccessPolicy
- viewableboolean
- creatableboolean
- updatableboolean
curl
curl --request GET \
--url 'https://api.nue.io/metadata/objects/{objectName}?withIntegrationMapping=true' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/metadata/objects/{objectName}?withIntegrationMapping=true", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/metadata/objects/{objectName}?withIntegrationMapping=true")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/metadata/objects/{objectName}?withIntegrationMapping=true"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"apiName": "Order",
"name": "Order",
"description": "Represents a booking transaction between a company and a customer to provision services or deliver products with contracted quantities, prices, and terms.",
"salesforceApiName": "Order",
"endpoint": "/metadata/objects/Order",
"customizable": true,
"feature": "OrderManagement",
"objectType": "Entity",
"pluralName": "Orders",
"nameField": "",
"fields": [
{
"apiName": "Ruby__Trial__c",
"name": "Trial",
"type": "pickList",
"description": "Indicates whether this order is a trial order",
"creatable": true,
"updatable": true,
"filterable": true,
"sortable": true,
"customField": true,
"encrypted": false,
"defaultValue": "",
"inlineHelpText": "",
"required": false,
"unique": false,
"exportId": false,
"minLength": "",
"maxLength": "",
"valueSet": {
"apiName": "",
"name": "",
"defaultValue": "",
"alphabeticallyOrdered": false,
"valuePairs": [
{
"apiName": "High",
"name": "High Priority",
"orderNumber": 1,
"active": true
}
]
},
"precision": "",
"scale": "",
"salesforceApiName": "",
"lookupRelation": {
"referenceTo": "",
"referenceField": "",
"relationName": "",
"relationLabel": ""
},
"masterDetailRelation": {
"referenceTo": "",
"referenceField": "",
"relationName": "",
"relationLabel": "",
"detailRelationName": "",
"detailRelationLabel": ""
},
"autoNumberSetting": {
"displayFormat": "CUSTOM-INV-{00000000}",
"startValue": 1
}
}
],
"relations": [
{
"referenceObjectName": "",
"referenceFieldName": "",
"relationFieldName": "",
"relationName": "",
"relationLabel": "",
"relationType": "",
"detailAccessPolicy": {
"viewable": false,
"creatable": false,
"updatable": false
}
}
]
}